View Issue Details

IDProjectCategoryView StatusLast Update
0006025libmicrohttpdportabilitypublic2020-02-08 22:03
ReporterrolegicAssigned ToChristian Grothoff 
PrioritynormalSeverityblockReproducibilityalways
Status closedResolutionfixed 
PlatformmacOSOSDarwinOS Version18.2.0
Product Version0.9.69 
Target Version0.9.70Fixed in Version0.9.70 
Summary0006025: Wrong #endif location
DescriptionFile src/microhttpd/daemon.c:
3284: {
3280 :#ifdef HAVE_MESSAGES
3281: MHD_DLOG (daemon,
3282: _ ("Failed to disable TCP Nagle on socket: %s\n"),
3283: MHD_socket_last_strerr_ ());
3284: }
3285: #endif

Closing parenthesis must be outside of preprocessing:

3284: #endif
3285: }
TagsNo tags attached.

Activities

rolegic

2020-01-03 17:54

reporter  

daemon.c.patch (382 bytes)
--- daemon.c	2019-10-31 13:06:06.000000000 +0100
+++ daemon_new.c	2020-01-03 17:48:11.101422400 +0100
@@ -3281,8 +3281,8 @@
     MHD_DLOG (daemon,
               _ ("Failed to disable TCP Nagle on socket: %s\n"),
               MHD_socket_last_strerr_ ());
-  }
 #endif
+  }
 #endif
 #if ! defined(USE_ACCEPT4) || ! defined(HAVE_SOCK_NONBLOCK)
   if (! MHD_socket_nonblocking_ (s))
daemon.c.patch (382 bytes)

Christian Grothoff

2020-02-07 14:22

manager   ~0015313

Thanks for reporting, fixed in a2103adb..94e8d665

Issue History

Date Modified Username Field Change
2020-01-03 17:54 rolegic New Issue
2020-01-03 17:54 rolegic File Added: daemon.c.patch
2020-02-07 14:17 Christian Grothoff Assigned To => Christian Grothoff
2020-02-07 14:17 Christian Grothoff Status new => assigned
2020-02-07 14:22 Christian Grothoff Status assigned => resolved
2020-02-07 14:22 Christian Grothoff Resolution open => fixed
2020-02-07 14:22 Christian Grothoff Fixed in Version => 0.9.70
2020-02-07 14:22 Christian Grothoff Note Added: 0015313
2020-02-07 14:22 Christian Grothoff Target Version => 0.9.70
2020-02-08 22:03 Christian Grothoff Status resolved => closed